Delete virtual tag config
curl --request DELETE \
--url https://api.vantage.sh/v2/virtual_tag_configs/{token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/virtual_tag_configs/{token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/virtual_tag_configs/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/virtual_tag_configs/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/virtual_tag_configs/{token}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vantage.sh/v2/virtual_tag_configs/{token}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/virtual_tag_configs/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"token": "vtag_1234",
"created_by_token": "usr_1234",
"key": "Cost Center",
"hidden": true,
"preferred": true,
"overridable": true,
"backfill_until": "2026-05-01",
"collapsed_tag_keys": [
{
"key": "team",
"providers": [
""
],
"filter": "(costs.provider = 'aws') OR (costs.provider = 'gcp')"
}
],
"values": [
{
"token": "vtag_val_1234",
"filter": "costs.provider = 'aws' AND costs.service = 'Amazon Simple Storage Service'",
"label_transforms": [
{
"type": "split",
"delimiter": "<string>",
"index": 123,
"template": "<string>"
}
],
"percentages": [
{
"value": "cost-center-a",
"pct": 50
}
],
"date_ranges": [
{
"start_date": "<string>",
"end_date": "<string>"
}
],
"name": "Informatics",
"business_metric_token": "bsnss_mtrc_abc123",
"label_key": "<string>",
"label_values": [
"<string>"
],
"label_filters": {
"app": [
"consumer"
],
"team": [
"payments"
]
},
"cost_metric": {
"filter": "<string>",
"aggregation": {
"tag": "<string>"
}
},
"display_name": "<string>"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}VirtualTags
Delete virtual tag config
Deletes an existing VirtualTagConfig.
DELETE
/
virtual_tag_configs
/
{token}
Delete virtual tag config
curl --request DELETE \
--url https://api.vantage.sh/v2/virtual_tag_configs/{token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/virtual_tag_configs/{token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/virtual_tag_configs/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/virtual_tag_configs/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/virtual_tag_configs/{token}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vantage.sh/v2/virtual_tag_configs/{token}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/virtual_tag_configs/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"token": "vtag_1234",
"created_by_token": "usr_1234",
"key": "Cost Center",
"hidden": true,
"preferred": true,
"overridable": true,
"backfill_until": "2026-05-01",
"collapsed_tag_keys": [
{
"key": "team",
"providers": [
""
],
"filter": "(costs.provider = 'aws') OR (costs.provider = 'gcp')"
}
],
"values": [
{
"token": "vtag_val_1234",
"filter": "costs.provider = 'aws' AND costs.service = 'Amazon Simple Storage Service'",
"label_transforms": [
{
"type": "split",
"delimiter": "<string>",
"index": 123,
"template": "<string>"
}
],
"percentages": [
{
"value": "cost-center-a",
"pct": 50
}
],
"date_ranges": [
{
"start_date": "<string>",
"end_date": "<string>"
}
],
"name": "Informatics",
"business_metric_token": "bsnss_mtrc_abc123",
"label_key": "<string>",
"label_values": [
"<string>"
],
"label_filters": {
"app": [
"consumer"
],
"team": [
"payments"
]
},
"cost_metric": {
"filter": "<string>",
"aggregation": {
"tag": "<string>"
}
},
"display_name": "<string>"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Authorizations
Response
VirtualTagConfig model